/*
** err_msg.c for pv in /home/saf/pv
** 
** Made by Stephan Ferraro
** Login   <saf@xy1.org>
** 
** Started on  Sun Dec 28 20:08:20 2003 Stephan Ferraro
** Last update Mon Feb  9 00:19:43 2004 Stephan Ferraro
** 
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
** 
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include	"pv.h"

void		err_msg(char *text)
{
  fprintf(stderr, "%s\n", text);
  exit(1);
}

void		err_msg_function(char *text)
{
  fprintf(stderr,
	  "pv: %s function has been executed with an error.\n",
	  text);
  exit(1);
}

void		err_msg_sdl(char *text)
{
  fprintf(stderr,
	  "pv: libsdl: %s function: %s\n",
	  text,
	  SDL_GetError());
  exit(1);
}

void		err_msg_perror(char *str)
{
  perror(str);
  exit(1);
}
