/*
** init_caption.c for pv in /home/saf/pv
** 
** Made by Stephan Ferraro
** Login   <saf@xy1.org>
** 
** Started on  Sun Dec 28 20:38:39 2003 Stephan Ferraro
** Last update Wed Jul  7 12:39:33 2004 Stephan Ferraro
** 
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
** 
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include	"pv.h"

void		aff_loading_caption()
{
  SDL_WM_SetCaption("pv - Loading...", 0);
}

void		init_caption(t_pv *p)
{
  char		buffer[4096];

  if (p->auto_resize)
    sprintf(buffer, "pv - %.480s - %d x %d - %d bits (%.2f%%)",
	    p->filename,
	    p->img_file->w,
	    p->img_file->h,
	    p->img_file->format->BitsPerPixel,
	    p->real_zoom);
  else
    sprintf(buffer, "pv - %.480s - %d x %d - %d bits",
	    p->filename,
	    p->img_file->w,
	    p->img_file->h,
	    p->img_file->format->BitsPerPixel);
  SDL_WM_SetCaption(buffer, 0);
}
