/*
** mouse.c for pv in /home/saf/pv
** 
** Made by Stephan Ferraro
** Login   <saf@xy1.org>
** 
** Started on  Tue Dec 30 04:26:13 2003 Stephan Ferraro
** Last update Tue May 11 20:03:16 2004 Stephan Ferraro
** 
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
** 
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include	"pv.h"

/* This code is a also ugly, I made it to quickly, I should review it one day. */
int		handle_mouse(void *pt)
{
  t_pv		*p;
  SDL_Event	events[10];
  int		i;
  int		found;
  Uint32	mask;
  int		x;
  int		y;
  int		last_motion;
  int		u;

  x = 0;
  y = 0;
  last_motion = 0;
  p = pt;

  /* Handle mouse events here */
  mask = (SDL_MOUSEMOTIONMASK | SDL_MOUSEBUTTONDOWNMASK | SDL_MOUSEBUTTONUPMASK);
  while (!p->done)
    {
      found = SDL_PeepEvents(events, 10, SDL_GETEVENT, mask);
      for (i = 0; i < found; ++i)
	{
	  for (u = 0; u < found; ++u)
	    if (events[u].type == SDL_MOUSEMOTION)
	      last_motion = u;
	  switch (events[i].type)
	    {
	      /* We want to toggle visibility on buttonpress */
	    case SDL_MOUSEBUTTONDOWN:
	    case SDL_MOUSEBUTTONUP:

	      if (events[i].button.button == 1)
		{
		  if (events[i].button.state == SDL_PRESSED)
		    {
		      p->mouse_pressed = 1;
		      p->mouse_old_x = x;
		      p->mouse_old_y = y;
		    }
		  else
		    p->mouse_pressed = 0;
		}
	      else
		{
		  if (events[i].button.button == SDL_BUTTON_WHEELUP)
		    zoom_in(p);
		  if (events[i].button.button == SDL_BUTTON_WHEELDOWN)
		    zoom_out(p);
		}
	      break;
	      /* Show relative mouse motion */
	    case SDL_MOUSEMOTION:
	      if (!p->auto_resize)
		{
		  if (p->mouse_pressed)
		    {
		      p->mouse_x = events[i].motion.x;
		      p->mouse_y = events[i].motion.y;
		      if (i == last_motion)
			{
			  aff_scroll_by_mouse(p);
			  p->mouse_old_x = p->mouse_x;
			  p->mouse_old_y = p->mouse_y;
			}
		    }
		  else
		    {
		      x = events[i].motion.x;
		      y = events[i].motion.y;
		    }
		}
	      break;
	    }
	}
      /* Give up some CPU to allow events to arrive */
      SDL_Delay(20);
    }
  return(0);
}
