/*
** put_black_background.c for pv in /home/saf/pv
** 
** Made by Stephan Ferraro
** Login   <saf@xy1.org>
** 
** Started on  Sat Jan 10 04:46:57 2004 Stephan Ferraro
** Last update Mon Jun 14 18:14:56 2004 Stephan Ferraro
** 
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
** 
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include	"pv.h"

/* By default we have a black background on our images. */
void		put_black_background(t_pv *p)
{
  int		img_w;
  int		img_h;

  if (p->rotate == 90 || p->rotate == 270)
    {
      img_w = p->img_file->h;
      img_h = p->img_file->w;
    }
  else
    {
      img_w = p->img_file->w;
      img_h = p->img_file->h;
    }
  boxColor(p->screen, 0, 0, p->win_w + 1, p->scroll_rect.y, 0x000000ff);
  boxColor(p->screen, 0, p->scroll_rect.y + img_h - 1, p->win_w,
	   p->win_h, 0x000000ff);
  boxColor(p->screen, 0, p->scroll_rect.y + 1, p->scroll_rect.x + 1,
	   p->scroll_rect.y + img_h + 1, 0x000000ff);
  boxColor(p->screen, p->scroll_rect.x + img_w - 1, p->scroll_rect.y - 1,
	   p->win_w + 1, p->scroll_rect.y + img_h + 1, 0x000000ff);
}
