/*
** benchmark.c for pv in /home/saf/privat/pv/src
** 
** Made by 
** Login   <saf@xy1.org>
** 
** Started on  Tue Aug 10 16:16:37 2004 
** Last update Tue Sep 14 22:48:47 2004 Stephan Ferraro
*/

#include		<sys/time.h>

#include		"pv.h"

void			benchmark_start(t_pv *p)
{
  printf("Start benchmark test with \"%s\" file.\n", p->filename);
  gettimeofday(&(p->benchmark.start), NULL);
}

void			benchmark_stop(t_pv *p)
{
  gettimeofday(&(p->benchmark.stop), NULL);
}

void			benchmark_result(t_pv *p)
{
  long unsigned int	microseconds;

  microseconds = ((p->benchmark.stop.tv_sec * 1000000) +
		  (p->benchmark.stop.tv_usec));
  microseconds -= ((p->benchmark.start.tv_sec * 1000000) +
		   (p->benchmark.start.tv_usec));
  printf("Image size X: [%d px] Y: [%d px] Colors: [%d bits]\n", p->img_file->w, p->img_file->h, p->img_file->format->BitsPerPixel);
  printf("Loading takes %f seconds.\n", (float)microseconds / 1000000.0);
}
