/*
** pv_save.h for pv in /home/saf/pv/src
** 
** Made by Stephan Ferraro
** Login   <saf@xy1.org>
** 
** Started on  Mon Feb  9 00:21:22 2004 Stephan Ferraro
** Last update Thu Feb 12 01:25:21 2004 Stephan Ferraro
** 
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
** 
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include	<sys/types.h>
#include	<sys/stat.h>
#include	<fcntl.h>


#include	"png.h"

/* Structure used by int press_save_key(t_pv *p) to keep up clean code. */
typedef struct	s_save
{
  FILE		*fp;
  png_structp	png_ptr;
  png_infop	info_ptr;
  png_colorp	palette;
  png_color_8	sig_bit;
  SDL_Surface	*zoom;
  char		*filename;
}		t_save;
