/*
** usage.c for pv in /home/saf/pv
** 
** Made by Stephan Ferraro
** Login   <saf@xy1.org>
** 
** Started on  Sat Dec 27 18:10:31 2003 Stephan Ferraro
** Last update Tue Sep 14 22:15:24 2004 Stephan Ferraro
** 
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
** 
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include	"pv.h"

void		usage(char *prog_name)
{
  fprintf(stderr, "usage: %s [-bdhxv] filename\n", prog_name);
  fprintf(stderr, "Type \"%s -h\" for more help\n", prog_name);
  fprintf(stderr, "  -b Benchmark test with one single image file\n");
  fprintf(stderr, "  -d Debug / verbose mode\n");
  fprintf(stderr, "  -h This help\n");
  fprintf(stderr, "  -x External file manager mode (XFE file manager mode)\n");
  fprintf(stderr, "  -v Show current program version\n");
}
