/*
** xmalloc.c for pv in /home/saf/pv/src
** 
** Made by Stephan Ferraro
** Login   <saf@xy1.org>
** 
** Started on  Mon Feb  9 01:50:44 2004 Stephan Ferraro
** Last update Mon Jun  7 15:38:08 2004 Stephan Ferraro
** 
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
** 
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include        <stdio.h>
#include        <stdlib.h>

void            *xmalloc(unsigned int size)
{
  void          *x;

  if (!(x = malloc(size)))
    {
      fprintf(stderr, "Memory error. Can't malloc %u bytes!\n", size);
      exit(1);
    }
  return (x);
}

char		*xstrdup(char *msg)
{
  char		*x;

  if (!(x = xstrdup(msg)))
    {
      fprintf(stderr, "Can't strdup message! Assume not enough memory on system.\n");
      exit(1);
    }
  return (x);
}
